﻿<?xml version="1.0" encoding="utf-8"?><Database Name="non" Class="DBDataContext" xmlns="http://schemas.microsoft.com/linqtosql/dbml/2007">
  <Connection Mode="AppSettings" ConnectionString="Data Source=.\SQLEXPRESS;Initial Catalog=non;Integrated Security=True" SettingsObjectName="ByStro.Properties.Settings" SettingsPropertyName="nonConnectionString" Provider="System.Data.SqlClient" />
  <Table Name="dbo.BarcodeTemplates" Member="BarcodeTemplates">
    <Type Name="BarcodeTemplate">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="Name" Type="System.String" DbType="NVarChar(MAX) NOT NULL" CanBeNull="false" />
      <Column Name="Template" Type="System.Data.Linq.Binary" DbType="VarBinary(MAX) NOT NULL" CanBeNull="false" UpdateCheck="Never" />
      <Column Name="IsDefault" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.WorkPartCompany" Member="WorkPartCompanies">
    <Type Name="WorkPartCompany">
      <Column Name="WorkPartCompanyID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="WorkPartCompanyName" Type="System.String" DbType="NVarChar(100)" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
    </Type>
  </Table>
  <Table Name="dbo.Bay_Details" Member="Bay_Details">
    <Type Name="Bay_Detail">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt" CanBeNull="true" />
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Unit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UnitFactor" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UnitOperating" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Quantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnQuantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Vat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="MainVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnTotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnCurrencyVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnCurrencyTotal" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Recived" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="CurrencyID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="CurrencyRate" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyTotal" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Association Name="Bay_Main_Bay_Detail" Member="Bay_Main" ThisKey="MainID" OtherKey="MainID" Type="Bay_Main" IsForeignKey="true" DeleteRule="CASCADE" />
      <Association Name="Store_Bay_Detail" Member="Store" ThisKey="StoreID" OtherKey="StoreID" Type="Store" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Bay_Main" Member="Bay_Mains">
    <Type Name="Bay_Main">
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="InvoiceNumber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="SupplierID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="TypeKind" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="TotalInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Discount" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="NetInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="PaidInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="RestInvoise" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnInvoise" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="PaidReturnInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TransID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Vat" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="VatValue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Expenses" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Bay_Main_Bay_Detail" Member="Bay_Details" ThisKey="MainID" OtherKey="MainID" Type="Bay_Detail" />
      <Association Name="Supplier_Bay_Main" Member="Supplier" ThisKey="SupplierID" OtherKey="SupplierID" Type="Supplier" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Capital" Member="Capitals">
    <Type Name="Capital">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="Notes" Type="System.String" DbType="NVarChar(255)" CanBeNull="true" />
      <Column Name="Debit" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Credit" Type="System.Double" DbType="Float" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Cash_Export" Member="Cash_Exports">
    <Type Name="Cash_Export">
      <Column Name="ExportID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MayDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="Value" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Cash_Import" Member="Cash_Imports">
    <Type Name="Cash_Import">
      <Column Name="ImportID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MayDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="Value" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Category" Member="Categories">
    <Type Name="Category">
      <Column Name="CategoryID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="CategoryName" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Remark" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.ChangeQuantity_Details" Member="ChangeQuantity_Details">
    <Type Name="ChangeQuantity_Detail">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" CanBeNull="false" />
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Unit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UnitFactor" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UnitOperating" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Quantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="SumType" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="Recived" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Association Name="ChangeQuantity_Main_ChangeQuantity_Detail" Member="ChangeQuantity_Main" ThisKey="MainID" OtherKey="MainID" Type="ChangeQuantity_Main" IsForeignKey="true" DeleteRule="CASCADE" DeleteOnNull="true" />
      <Association Name="Store_ChangeQuantity_Detail" Member="Store" ThisKey="StoreID" OtherKey="StoreID" Type="Store" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.ChangeQuantity_Main" Member="ChangeQuantity_Mains">
    <Type Name="ChangeQuantity_Main">
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="ChangeQuantity_Main_ChangeQuantity_Detail" Member="ChangeQuantity_Details" ThisKey="MainID" OtherKey="MainID" Type="ChangeQuantity_Detail" />
    </Type>
  </Table>
  <Table Name="dbo.ChangeStore_Details" Member="ChangeStore_Details">
    <Type Name="ChangeStore_Detail">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" CanBeNull="false" />
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Unit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UnitFactor" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UnitOperating" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Quantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="SumType" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="Recived" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Association Name="ChangeStore_Main_ChangeStore_Detail" Member="ChangeStore_Main" ThisKey="MainID" OtherKey="MainID" Type="ChangeStore_Main" IsForeignKey="true" DeleteRule="CASCADE" DeleteOnNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.ChangeStore_Main" Member="ChangeStore_Mains">
    <Type Name="ChangeStore_Main">
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="StoreID2" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="ChangeStore_Main_ChangeStore_Detail" Member="ChangeStore_Details" ThisKey="MainID" OtherKey="MainID" Type="ChangeStore_Detail" />
    </Type>
  </Table>
  <Table Name="dbo.CombanyData" Member="CombanyDatas">
    <Type Name="CombanyData">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="CombanyName" Type="System.String" DbType="NVarChar(250)" CanBeNull="true" />
      <Column Name="CombanyDescriptone" Type="System.String" DbType="NVarChar(550)" CanBeNull="true" />
      <Column Name="MyName" Type="System.String" DbType="NVarChar(250)" CanBeNull="true" />
      <Column Name="PhoneNamber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Imge" Type="System.Data.Linq.Binary" DbType="Image" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="Title" Type="System.String" DbType="NVarChar(350)" CanBeNull="true" />
      <Column Name="BillRemark" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="MaintenanceRemark" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
    </Type>
  </Table>
  <Table Name="dbo.Currency" Member="Currencies">
    <Type Name="Currency">
      <Column Name="CurrencyID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="CurrencyName" Type="System.String" DbType="NVarChar(255) NOT NULL" CanBeNull="false" />
      <Column Name="CurrencyShortcut" Type="System.String" DbType="NVarChar(255)" CanBeNull="true" />
      <Column Name="CurrencyPartName" Type="System.String" DbType="NVarChar(255)" CanBeNull="true" />
      <Column Name="CurrencyRate" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Remark" Type="System.String" DbType="NVarChar(150) NOT NULL" CanBeNull="false" />
      <Association Name="Currency_Sales_Detail" Member="Sales_Details" ThisKey="CurrencyID" OtherKey="CurrencyID" Type="Sales_Detail" />
    </Type>
  </Table>
  <Table Name="dbo.Customers" Member="Customers">
    <Type Name="Customer">
      <Column Name="CustomerID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="CustomerName" Type="System.String" DbType="NVarChar(60)" CanBeNull="true" />
      <Column Name="SalesLavel" Type="System.String" DbType="NVarChar(6)" CanBeNull="true" />
      <Column Name="NationalID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Address" Type="System.String" DbType="NVarChar(60)" CanBeNull="true" />
      <Column Name="TaxFileNumber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="RegistrationNo" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="StartContract" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="EndContract" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="Phone" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="Phone2" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="AccountNumber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Fax" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Email" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="WebSite" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Maximum" Type="System.String" DbType="NVarChar(10)" CanBeNull="true" />
      <Column Name="CreditLimit" Type="System.Int16" DbType="SmallInt" CanBeNull="true" />
      <Column Name="TransID" Type="System.Int64" DbType="BigInt" CanBeNull="true" />
      <Column Name="ISCusSupp" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="SupplierID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Income" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Export" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Status" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Association Name="Customer_Customers_Pay" Member="Customers_Pays" ThisKey="CustomerID" OtherKey="CustomerID" Type="Customers_Pay" />
      <Association Name="Customer_Customers_Recived" Member="Customers_Reciveds" ThisKey="CustomerID" OtherKey="CustomerID" Type="Customers_Recived" />
      <Association Name="Customer_Maintenance" Member="Maintenances" ThisKey="CustomerID" OtherKey="CustomerID" Type="Maintenance" />
      <Association Name="Customer_Maintenance_Main" Member="Maintenance_Mains" ThisKey="CustomerID" OtherKey="CustomerID" Type="Maintenance_Main" />
      <Association Name="Customer_Sales_Main" Member="Sales_Mains" ThisKey="CustomerID" OtherKey="CustomerID" Type="Sales_Main" />
    </Type>
  </Table>
  <Table Name="dbo.Customers_Pay" Member="Customers_Pays">
    <Type Name="Customers_Pay">
      <Column Name="PayID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="PayDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="PayValue" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="CustomerID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Customer_Customers_Pay" Member="Customer" ThisKey="CustomerID" OtherKey="CustomerID" Type="Customer" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.Customers_Recived" Member="Customers_Reciveds">
    <Type Name="Customers_Recived">
      <Column Name="PayID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="PayDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="PayValue" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="CustomerID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Customer_Customers_Recived" Member="Customer" ThisKey="CustomerID" OtherKey="CustomerID" Type="Customer" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.DamagedType" Member="DamagedTypes">
    <Type Name="DamagedType">
      <Column Name="DamagedTypeID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="DamagedTypeName" Type="System.String" DbType="NVarChar(150)" CanBeNull="true" />
      <Column Name="Remark" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Association Name="DamagedType_Maintenance_Detail" Member="Maintenance_Details" ThisKey="DamagedTypeID" OtherKey="DamagedTypeID" Type="Maintenance_Detail" />
    </Type>
  </Table>
  <Table Name="dbo.DeliveryOrder" Member="DeliveryOrders">
    <Type Name="DeliveryOrder">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="DriverID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Orders" Type="System.String" DbType="NVarChar(MAX) NOT NULL" CanBeNull="false" />
      <Column Name="OrdersCount" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="OrdersAmount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="RecivedAmount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="HasReturned" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="OutDate" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
      <Column Name="ReturnDate" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.DeviceType" Member="DeviceTypes">
    <Type Name="DeviceType">
      <Column Name="DeviceTypeID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="DeviceTypeName" Type="System.String" DbType="NVarChar(150)" CanBeNull="true" />
      <Column Name="CompenyID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Remark" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Association Name="DeviceType_Maintenance" Member="Maintenances" ThisKey="DeviceTypeID" OtherKey="DeviceTypeID" Type="Maintenance" />
      <Association Name="MaintenanceCompeny_DeviceType" Member="MaintenanceCompeny" ThisKey="CompenyID" OtherKey="CompenyID" Type="MaintenanceCompeny" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.DrawerInOut" Member="DrawerInOuts">
    <Type Name="DrawerInOut">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="IsIn" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="Amount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Date" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.Drivers" Member="Drivers">
    <Type Name="Driver">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="Code" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Name" Type="System.String" DbType="NVarChar(MAX) NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.Employee_Additions" Member="Employee_Additions">
    <Type Name="Employee_Addition">
      <Column Name="Additions_ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="EmployeeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="AdditionsType_ID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Addition_Value" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Employee_Employee_Addition" Member="Employee" ThisKey="EmployeeID" OtherKey="EmployeeID" Type="Employee" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Employee_AdditionsType" Member="Employee_AdditionsTypes">
    <Type Name="Employee_AdditionsType">
      <Column Name="AdditionsType_ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="AdditionsType_Name" Type="System.String" DbType="NVarChar(100)" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Employee_Attendance" Member="Employee_Attendances">
    <Type Name="Employee_Attendance">
      <Column Name="AttendanceID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="EmployeeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="Hower_Come" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
      <Column Name="Hower_Go" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
      <Column Name="Hower_Work" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="States" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Association Name="Employee_Employee_Attendance" Member="Employee" ThisKey="EmployeeID" OtherKey="EmployeeID" Type="Employee" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Employee_Deduction" Member="Employee_Deductions">
    <Type Name="Employee_Deduction">
      <Column Name="Deduction_ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="EmployeeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="DeductionType_ID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Deduction_Value" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Employee_Deduction_Employee_Deduction" Member="Employee_Deduction2" ThisKey="Deduction_ID" OtherKey="Deduction_ID" Type="Employee_Deduction" Cardinality="One" />
      <Association Name="Employee_Deduction_Employee_Deduction" Member="Employee_Deduction1" ThisKey="Deduction_ID" OtherKey="Deduction_ID" Type="Employee_Deduction" IsForeignKey="true" />
      <Association Name="Employee_Employee_Deduction" Member="Employee" ThisKey="EmployeeID" OtherKey="EmployeeID" Type="Employee" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Employee_DeductionType" Member="Employee_DeductionTypes">
    <Type Name="Employee_DeductionType">
      <Column Name="DeductionType_ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="DeductionType_Name" Type="System.String" DbType="NVarChar(100)" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Employee_Holiday" Member="Employee_Holidays">
    <Type Name="Employee_Holiday">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="EmployeeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="HolidayID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="DayNumber" Type="System.Int16" DbType="SmallInt" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="HolidayType_Employee_Holiday" Member="HolidayType" ThisKey="HolidayID" OtherKey="HolidayID" Type="HolidayType" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Employee_Salary" Member="Employee_Salaries">
    <Type Name="Employee_Salary">
      <Column Name="SalaryID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="EmployeeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="MainSalary" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Additions" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Deduction" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="NetSalary" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Employee_Employee_Salary" Member="Employee" ThisKey="EmployeeID" OtherKey="EmployeeID" Type="Employee" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Employees" Member="Employees">
    <Type Name="Employee">
      <Column Name="EmployeeID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="EmployeeName" Type="System.String" DbType="NVarChar(100)" CanBeNull="true" />
      <Column Name="EducationalQualification" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Type" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="Adress" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="SocialStatus" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="StartContract" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="EndContract" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="NationalID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="Phone" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="Phone2" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="AccountNumber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Fax" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Email" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="WebSite" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="MilitaryService" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="PlaceOfService" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="ServiceStartDate" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="ServiceEndDate" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="WorkPartCompanyID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="PartCompanyID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="NumberMonth" Type="System.Int16" DbType="SmallInt" CanBeNull="true" />
      <Column Name="StartWork" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="TimeAttendance" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="TimeToLeave" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="WorkingHours" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Salary" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Association Name="Employee_Employee_Addition" Member="Employee_Additions" ThisKey="EmployeeID" OtherKey="EmployeeID" Type="Employee_Addition" />
      <Association Name="Employee_Employee_Attendance" Member="Employee_Attendances" ThisKey="EmployeeID" OtherKey="EmployeeID" Type="Employee_Attendance" />
      <Association Name="Employee_Employee_Deduction" Member="Employee_Deductions" ThisKey="EmployeeID" OtherKey="EmployeeID" Type="Employee_Deduction" />
      <Association Name="Employee_Employee_Salary" Member="Employee_Salaries" ThisKey="EmployeeID" OtherKey="EmployeeID" Type="Employee_Salary" />
    </Type>
  </Table>
  <Table Name="dbo.Expenses" Member="Expenses">
    <Type Name="Expense">
      <Column Name="ExpenseID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="ExpenseTypeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="RecivedName" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="ExpenseValue" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.ExpenseType" Member="ExpenseTypes">
    <Type Name="ExpenseType">
      <Column Name="ExpenseID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="ExpenseName" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
    </Type>
  </Table>
  <Table Name="dbo.Firist_Details" Member="Firist_Details">
    <Type Name="Firist_Detail">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" CanBeNull="false" />
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Unit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UnitFactor" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UnitOperating" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Quantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Recived" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Association Name="Firist_Main_Firist_Detail" Member="Firist_Main" ThisKey="MainID" OtherKey="MainID" Type="Firist_Main" IsForeignKey="true" DeleteRule="CASCADE" DeleteOnNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Firist_Main" Member="Firist_Mains">
    <Type Name="Firist_Main">
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="TotalInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Firist_Main_Firist_Detail" Member="Firist_Details" ThisKey="MainID" OtherKey="MainID" Type="Firist_Detail" />
    </Type>
  </Table>
  <Table Name="dbo.HolidayType" Member="HolidayTypes">
    <Type Name="HolidayType">
      <Column Name="HolidayID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="HolidayName" Type="System.String" DbType="NVarChar(100)" CanBeNull="true" />
      <Column Name="DayNumber" Type="System.Int16" DbType="SmallInt" CanBeNull="true" />
      <Column Name="Note" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Association Name="HolidayType_Employee_Holiday" Member="Employee_Holidays" ThisKey="HolidayID" OtherKey="HolidayID" Type="Employee_Holiday" />
    </Type>
  </Table>
  <Table Name="dbo.Instalment_Details" Member="Instalment_Details">
    <Type Name="Instalment_Detail">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="number" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="InstalmentID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Amount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="DueDate" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
      <Column Name="DatePaid" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
      <Column Name="IsPaid" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.Instalments" Member="Instalments">
    <Type Name="Instalment">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="Code" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Date" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
      <Column Name="Customer" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="StartDate" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
      <Column Name="InstallPeriod" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Amount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="AdvancedPay" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Net" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="BenfitesValue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="InstalmentsCount" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="ISPaid" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="Notes" Type="System.String" DbType="NVarChar(MAX)" CanBeNull="true" />
      <Column Name="Invoice" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Inv_Color" Member="Inv_Colors">
    <Type Name="Inv_Color">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="Name" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Inv_Invoice" Member="Inv_Invoices">
    <Type Name="Inv_Invoice">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="InvoiceType" Type="System.Byte" DbType="TinyInt" CanBeNull="true" />
      <Column Name="Code" Type="System.String" DbType="NVarChar(35) NOT NULL" CanBeNull="false" />
      <Column Name="PartType" Type="System.Byte" DbType="TinyInt NOT NULL" CanBeNull="false" />
      <Column Name="PartID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="SourceID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Date" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Notes" Type="System.String" DbType="NVarChar(MAX)" CanBeNull="true" />
      <Column Name="DiscountValue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="DiscountRatio" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Total" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="TotalRevenue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Net" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Paid" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Car" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Driver" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Destination" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="ShippingAddress" Type="System.String" DbType="NVarChar(250)" CanBeNull="true" />
      <Column Name="UserID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="LastUpdateUserID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="LastUpdateDate" Type="System.DateTime" DbType="SmallDateTime" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Inv_InvoiceDetail" Member="Inv_InvoiceDetails">
    <Type Name="Inv_InvoiceDetail">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="InvoiceID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="ItemID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="ItemUnitID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="ItemQty" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Price" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="CostValue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="TotalCostValue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Discount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="DiscountValue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="AddTax" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="AddTaxVal" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="ExpDate" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
      <Column Name="Serial" Type="System.String" DbType="NVarChar(150)" CanBeNull="true" />
      <Column Name="Color" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Size" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Inv_Size" Member="Inv_Sizes">
    <Type Name="Inv_Size">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="Name" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Inv_StoreLog" Member="Inv_StoreLogs">
    <Type Name="Inv_StoreLog">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="date" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
      <Column Name="ItemID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="ItemQuIN" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ItemQuOut" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="BuyPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="SellPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Type" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="TypeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="ExpDate" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
      <Column Name="Serial" Type="System.String" DbType="NVarChar(150)" CanBeNull="true" />
      <Column Name="Color" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Size" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Note" Type="System.String" DbType="NChar(250)" CanBeNull="true" />
      <Column Name="Batch" Type="System.String" DbType="NChar(25)" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Maintenance" Member="Maintenances">
    <Type Name="Maintenance">
      <Column Name="MaintenanceID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="RecivedData" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="ReturnData" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="SerialNumber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="DeviceTypeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="DamagedTypeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="DeviceStatus" Type="System.Int16" DbType="SmallInt" CanBeNull="true" />
      <Column Name="CustomerID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Remark" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="UserID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Customer_Maintenance" Member="Customer" ThisKey="CustomerID" OtherKey="CustomerID" Type="Customer" IsForeignKey="true" />
      <Association Name="DeviceType_Maintenance" Member="DeviceType" ThisKey="DeviceTypeID" OtherKey="DeviceTypeID" Type="DeviceType" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.Maintenance_Details" Member="Maintenance_Details">
    <Type Name="Maintenance_Detail">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt" CanBeNull="true" />
      <Column Name="DamagedTypeID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Quantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="CurrencyRate" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyTotal" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Association Name="DamagedType_Maintenance_Detail" Member="DamagedType" ThisKey="DamagedTypeID" OtherKey="DamagedTypeID" Type="DamagedType" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.Maintenance_Main" Member="Maintenance_Mains">
    <Type Name="Maintenance_Main">
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="CustomerID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="TypeKind" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="TotalInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Discount" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="NetInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="PaidInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="RestInvoise" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Customer_Maintenance_Main" Member="Customer" ThisKey="CustomerID" OtherKey="CustomerID" Type="Customer" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.MaintenanceCompeny" Member="MaintenanceCompenies">
    <Type Name="MaintenanceCompeny">
      <Column Name="CompenyID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="CompenyName" Type="System.String" DbType="NVarChar(250)" CanBeNull="true" />
      <Column Name="Remark" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Association Name="MaintenanceCompeny_DeviceType" Member="DeviceTypes" ThisKey="CompenyID" OtherKey="CompenyID" Type="DeviceType" />
    </Type>
  </Table>
  <Table Name="dbo.MoneyTransfer" Member="MoneyTransfers">
    <Type Name="MoneyTransfer">
      <Column Name="TransferID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date NOT NULL" CanBeNull="false" />
      <Column Name="AccountID_From" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="AccountID_To" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Amount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="CurrencyID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="CurrencyRate" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Note" Type="System.String" DbType="NVarChar(MAX)" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.OfferPrice_Detalis" Member="OfferPrice_Detalis">
    <Type Name="OfferPrice_Detali">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt" CanBeNull="true" />
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Unit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UnitFactor" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UnitOperating" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Quantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Vat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="MainVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Recived" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.OfferPrice_Main" Member="OfferPrice_Mains">
    <Type Name="OfferPrice_Main">
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date NOT NULL" CanBeNull="false" />
      <Column Name="Remarks" Type="System.String" DbType="NVarChar(MAX)" CanBeNull="true" />
      <Column Name="TotalInvoice" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Discount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="NetInvoice" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Vat" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="VatValue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="UserID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.PartCompany" Member="PartCompanies">
    <Type Name="PartCompany">
      <Column Name="PartCompanyID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="PartCompanyName" Type="System.String" DbType="NVarChar(100) NOT NULL" CanBeNull="false" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
    </Type>
  </Table>
  <Table Name="dbo.PayType" Member="PayTypes">
    <Type Name="PayType">
      <Column Name="PayTypeID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="PayTypeName" Type="System.String" DbType="NVarChar(150)" CanBeNull="true" />
      <Column Name="AccountNumber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Address" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Phone" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Fax" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Remark" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Association Name="PayType_PayType_tran" Member="PayType_trans" ThisKey="PayTypeID" OtherKey="PayTypeID" Type="PayType_tran" />
    </Type>
  </Table>
  <Table Name="dbo.PayType_trans" Member="PayType_trans">
    <Type Name="PayType_tran">
      <Column Name="PayID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" CanBeNull="false" />
      <Column Name="VoucherDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="PayTypeID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="VoucherCode" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="VoucherType" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="TypeID" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Debit" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Credit" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Statement" Type="System.String" DbType="NText NOT NULL" CanBeNull="false" UpdateCheck="Never" />
      <Column Name="UserID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="CurrencyID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="CurrencyRate" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Association Name="PayType_PayType_tran" Member="PayType" ThisKey="PayTypeID" OtherKey="PayTypeID" Type="PayType" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.Prodecuts" Member="Prodecuts">
    <Type Name="Prodecut">
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="ProdecutName" Type="System.String" DbType="NVarChar(60) NOT NULL" CanBeNull="false" />
      <Column Name="CategoryID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="ProdecutLocation" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Company" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="LastUpdate" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
      <Column Name="RequestLimit" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="FiestUnit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="FiestUnitOperating" Type="System.String" DbType="NVarChar(10)" CanBeNull="true" />
      <Column Name="FiestUnitFactor" Type="System.String" DbType="NVarChar(10)" CanBeNull="true" />
      <Column Name="FiestUnitBarcode" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="FiestUnitPrice1" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="FiestUnitPrice2" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="FiestUnitPrice3" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="SecoundUnit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="SecoundUnitOperating" Type="System.String" DbType="NVarChar(10)" CanBeNull="true" />
      <Column Name="SecoundUnitFactor" Type="System.String" DbType="NVarChar(10)" CanBeNull="true" />
      <Column Name="SecoundUnitBarcode" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="SecoundUnitPrice1" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="SecoundUnitPrice2" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="SecoundUnitPrice3" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ThreeUnit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="ThreeUnitOperating" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="ThreeUnitFactor" Type="System.String" DbType="NVarChar(10)" CanBeNull="true" />
      <Column Name="ThreeUnitBarcode" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="ThreeUnitPrice1" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ThreeUnitPrice2" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ThreeUnitPrice3" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ProdecutBayPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ProdecutAvg" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="DiscoundBay" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="DiscoundSale" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UnitDefoult" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="ProductService" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="Status" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="HasColor" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="HasExpire" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="HasSize" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="HasSerial" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.PurchaseOrder_Details" Member="PurchaseOrder_Details">
    <Type Name="PurchaseOrder_Detail">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt" CanBeNull="true" />
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Unit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UnitFactor" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UnitOperating" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Quantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Vat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="MainVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Recived" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.PurchaseOrder_Main" Member="PurchaseOrder_Mains">
    <Type Name="PurchaseOrder_Main">
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date NOT NULL" CanBeNull="false" />
      <Column Name="Remarks" Type="System.String" DbType="NVarChar(MAX)" CanBeNull="true" />
      <Column Name="TotalInvoice" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Discount" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="NetInvoice" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="Vat" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="VatValue" Type="System.Double" DbType="Float NOT NULL" CanBeNull="false" />
      <Column Name="UserID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.Sales_Details" Member="Sales_Details">
    <Type Name="Sales_Detail">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" CanBeNull="false" />
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Unit" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UnitFactor" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UnitOperating" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Quantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnQuantity" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="BayPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalBayPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Vat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="MainVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnTotalPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnCurrencyVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnCurrencyTotal" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Recived" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="CurrencyID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="CurrencyRate" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyVat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="CurrencyTotal" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Association Name="Currency_Sales_Detail" Member="Currency" ThisKey="CurrencyID" OtherKey="CurrencyID" Type="Currency" IsForeignKey="true" />
      <Association Name="Store_Sales_Detail" Member="Store" ThisKey="StoreID" OtherKey="StoreID" Type="Store" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Sales_Main" Member="Sales_Mains">
    <Type Name="Sales_Main">
      <Column Name="MainID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="MyDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="CustomerID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Note" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="TypeKind" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="TotalInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Discount" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="NetInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="PaidInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="RestInvoise" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnInvoise" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="PaidReturnInvoice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalBayPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ReturnBayPrice" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TotalProfits" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="TransID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Vat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="VatValue" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Extra" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="DriverID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Customer_Sales_Main" Member="Customer" ThisKey="CustomerID" OtherKey="CustomerID" Type="Customer" IsForeignKey="true" DeleteRule="CASCADE" />
    </Type>
  </Table>
  <Table Name="dbo.Setting" Member="Settings">
    <Type Name="Setting">
      <Column Name="SettingID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="UseStoreDefault" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="StoreID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UseCustomerDefault" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="CustomerID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UsingFastInput" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="ShowMessageQty" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="ShowMessageSave" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="kindPay" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UseVat" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="Vat" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="PrintSize" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="UseCrrencyDefault" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="CurrencyID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="NotificationProdect" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="NotificationCustomers" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="MaxBalance" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UsekindPay" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="PayTypeID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UseUnit" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="UnitId" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UseCategory" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="CategoryId" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.SmsSetting" Member="SmsSettings">
    <Type Name="SmsSetting">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="SentName" Type="System.String" DbType="NVarChar(255)" CanBeNull="true" />
      <Column Name="Password" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Phone" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.ST_Updates" Member="ST_Updates">
    <Type Name="ST_Update">
      <Column Name="UpdateId" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="UpdateDate" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
      <Column Name="DBVer" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.Store_Prodecut" Member="Store_Prodecuts">
    <Type Name="Store_Prodecut">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="ProdecutID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Balence" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Price" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="ProdecutAvg" Type="System.Double" DbType="Float" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Stores" Member="Stores">
    <Type Name="Store">
      <Column Name="StoreID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="StoreName" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Responsible" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="phone" Type="System.String" DbType="NVarChar(30)" CanBeNull="true" />
      <Column Name="phone2" Type="System.String" DbType="NVarChar(30)" CanBeNull="true" />
      <Column Name="Place" Type="System.String" DbType="NVarChar(100)" CanBeNull="true" />
      <Column Name="Note" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Association Name="Store_Bay_Detail" Member="Bay_Details" ThisKey="StoreID" OtherKey="StoreID" Type="Bay_Detail" />
      <Association Name="Store_ChangeQuantity_Detail" Member="ChangeQuantity_Details" ThisKey="StoreID" OtherKey="StoreID" Type="ChangeQuantity_Detail" />
      <Association Name="Store_Sales_Detail" Member="Sales_Details" ThisKey="StoreID" OtherKey="StoreID" Type="Sales_Detail" />
    </Type>
  </Table>
  <Table Name="dbo.StoreUsers" Member="StoreUsers">
    <Type Name="StoreUser">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="StoreID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="UserID" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.Supplier_Pay" Member="Supplier_Pays">
    <Type Name="Supplier_Pay">
      <Column Name="PayID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="PayDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="PayValue" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="SupplierID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Supplier_Supplier_Pay" Member="Supplier" ThisKey="SupplierID" OtherKey="SupplierID" Type="Supplier" IsForeignKey="true" />
      <Association Name="UserPermission_Supplier_Pay" Member="UserPermission" ThisKey="UserAdd" OtherKey="ID" Type="UserPermission" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.Supplier_Recived" Member="Supplier_Reciveds">
    <Type Name="Supplier_Recived">
      <Column Name="PayID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="PayDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="PayValue" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="SupplierID" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="TreasuryID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Association Name="Supplier_Supplier_Recived" Member="Supplier" ThisKey="SupplierID" OtherKey="SupplierID" Type="Supplier" IsForeignKey="true" />
      <Association Name="UserPermission_Supplier_Recived" Member="UserPermission" ThisKey="UserAdd" OtherKey="ID" Type="UserPermission" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.Suppliers" Member="Suppliers">
    <Type Name="Supplier">
      <Column Name="SupplierID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="SupplierName" Type="System.String" DbType="NVarChar(60)" CanBeNull="true" />
      <Column Name="NationalID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Address" Type="System.String" DbType="NVarChar(60)" CanBeNull="true" />
      <Column Name="TaxFileNumber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="RegistrationNo" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="StartContract" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="EndContract" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="Remarks" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="Phone" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="Phone2" Type="System.String" DbType="NVarChar(20)" CanBeNull="true" />
      <Column Name="AccountNumber" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Fax" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Email" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="WebSite" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Maximum" Type="System.String" DbType="NVarChar(10)" CanBeNull="true" />
      <Column Name="CreditLimit" Type="System.Int16" DbType="SmallInt" CanBeNull="true" />
      <Column Name="UseVat" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Column Name="Income" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Export" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Status" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
      <Association Name="Supplier_Bay_Main" Member="Bay_Mains" ThisKey="SupplierID" OtherKey="SupplierID" Type="Bay_Main" />
      <Association Name="Supplier_Supplier_Pay" Member="Supplier_Pays" ThisKey="SupplierID" OtherKey="SupplierID" Type="Supplier_Pay" />
      <Association Name="Supplier_Supplier_Recived" Member="Supplier_Reciveds" ThisKey="SupplierID" OtherKey="SupplierID" Type="Supplier_Recived" />
    </Type>
  </Table>
  <Table Name="dbo.SystemSettings" Member="SystemSettings">
    <Type Name="SystemSetting">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="UseScalBarcode" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="ItemCodeLength" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="WeightCodeLength" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="DivideWeightBy" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.TreasuryMovement" Member="TreasuryMovements">
    <Type Name="TreasuryMovement">
      <Column Name="ID" Type="System.Int64" DbType="BigInt NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="AccountID" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="ISCusSupp" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="VoucherID" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Type" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="VoucherType" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="VoucherDate" Type="System.DateTime" DbType="Date" CanBeNull="true" />
      <Column Name="Description" Type="System.String" DbType="NText" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="Income" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Export" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Remark" Type="System.String" DbType="NVarChar(MAX)" CanBeNull="true" />
      <Column Name="Debit" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="Credit" Type="System.Double" DbType="Float" CanBeNull="true" />
      <Column Name="UserAdd" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="ISShow" Type="System.Boolean" DbType="Bit" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.Unit" Member="Units">
    <Type Name="Unit">
      <Column Name="UnitID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="UnitName" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.UserPermissions" Member="UserPermissions">
    <Type Name="UserPermission">
      <Column Name="ID" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="EmpName" Type="System.String" DbType="NVarChar(100) NOT NULL" CanBeNull="false" />
      <Column Name="UserName" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="UserPassword" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="TypeUser" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="Status" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS1" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS2" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS3" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS4" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS5" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS6" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS7" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS8" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS9" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS10" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS11" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS12" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS13" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS14" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS15" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS16" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS17" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS18" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS19" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS20" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS21" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS22" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS23" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS24" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS25" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS26" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS27" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS28" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS29" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS30" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS31" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS32" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS33" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS34" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS35" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS36" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS37" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS38" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS39" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS40" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS41" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS42" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS43" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS44" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS45" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS46" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS47" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS48" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS49" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS50" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS51" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS52" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS53" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS54" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS55" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS56" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS57" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS58" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS59" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS60" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS61" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS62" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS63" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS64" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS65" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS66" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS67" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS68" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS69" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS70" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS71" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS72" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS73" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS74" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS75" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS76" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS77" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS78" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS79" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS80" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="CS81" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Association Name="UserPermission_Supplier_Pay" Member="Supplier_Pays" ThisKey="ID" OtherKey="UserAdd" Type="Supplier_Pay" />
      <Association Name="UserPermission_Supplier_Recived" Member="Supplier_Reciveds" ThisKey="ID" OtherKey="UserAdd" Type="Supplier_Recived" />
    </Type>
  </Table>
</Database>